<template>
    <div id="PieContainer">
        <div class="pie-chart"> Pie Container</div>
    </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'LineChartContainer',
  data () {
    return {
      data: [],
      loaded: false,
      chartdata: [ 1, 2, 3, 4 ]
    }
  },
  methods: {
    requestData () {
      axios.get(this.$env.ROOT_API + '/data/ds-per-catalogue', {
      })
        .then(response => {
          // console.log(response.data)
          this.data = response.data
          this.loaded = true
          this.loading = false
          this.$emit('changeLoading', this.loading)
        })
        .catch(err => {
          this.errorMessage = err.response.data.error
          this.showError = true
        })
    }
  },
  created: function () {
    this.requestData()
  }
}
</script>

<style scoped>

.pie-chart{
    margin-top: 50px;
}
</style>
